@tailwind base;
@tailwind components;
@tailwind utilities;

:root {
  --foreground-rgb: 0, 0, 0;
  --background-start-rgb: 214, 219, 220;
  --background-end-rgb: 255, 255, 255;
}

@media (prefers-color-scheme: dark) {
  :root {
    --foreground-rgb: 255, 255, 255;
    --background-start-rgb: 0, 0, 0;
    --background-end-rgb: 0, 0, 0;
  }
}

body {
  color: rgb(var(--foreground-rgb));
  background: linear-gradient(
      to bottom,
      transparent,
      rgb(var(--background-end-rgb))
    )
    rgb(var(--background-start-rgb));
}

.blog-content p {
  margin: 10px 0px;
}

.blog-content ul {
  list-style-type: disc; /* or your preferred style */
  margin-left: 20px;
  padding-left: 0;
}

.blog-content ol {
  list-style-type: disc; /* for ul */
  list-style-type: decimal; /* for ol */
  margin-left: 20px;
}

.blog-content img {
  margin: 20px 0px;
  border-radius: 10px;
}

.blog-content h2, h4, h3 {
  /* text-align: center; */
  /* margin: 20px 0px 0px 0px; */
  font-weight: 700;
  font-size: 1.5rem;
}

.blog-content hr {
  margin: 20px 0px;
}

.blog-content pre {
    background-color: #2d2d2d; /* Dark background */
    border: 1px solid #444; /* Darker border */
    border-left: 4px solid #6366f1; /* Accent color, can adjust */
    color: #ccc; /* Light gray text for readability */
    page-break-inside: avoid; /* Avoids breaking the code block across pages */
    font-family: 'Courier New', monospace; /* Monospace font for code */
    font-size: 15px; /* Adjust font size as needed */
    line-height: 1.6; /* Line height for readability */
    margin-bottom: 1.6em; /* Margin below the block */
    max-width: 100%; /* Ensure it doesn't overflow its container */
    overflow: auto; /* Add horizontal scrollbar if needed */
    padding: 1em; /* Padding around the text */
    display: block; /* Ensure it's block-level for margins to work */
    white-space: pre; /* Preserve whitespace and do not wrap text */
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

/* Apply the animation and initial state */
.fade-in {
  opacity: 0; /* Ensure elements are initially hidden */
  animation-fill-mode: forwards; /* Keep the final state after the animation completes */
}

.fade-in-1 {
  animation: fadeIn 0.25s ease-out 0s forwards; /* No delay for the first item */
}

.fade-in-2 {
  animation: fadeIn 0.25s ease-out 0.25s forwards; /* 1s delay for the second item */
}

.fade-in-3 {
  animation: fadeIn 0.25s ease-out 0.5s forwards; /* 2s delay for the third item */
}

::-webkit-scrollbar {
  height: 5px;
  width: 5px;
  background-color: black;
}

::-webkit-scrollbar-thumb {
  background: #6366f1;
}

@layer utilities {
  .text-balance {
    text-wrap: balance;
  }
}
